Your Moodle version

General plugins (Local): - Reporting and Analytics Tool for Moodle

Maintained by Picture of Anatoliy Kochnev Anatoliy Kochnev
Plugin that allows to track and analyze Moodle data in real time.
Moodle 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8, 2.9 is built to work with Moodle with the goal to deliver educational data analytics to single dashboard instantly. With power to turn this analytical data into simple and easy to read reports, becomes primary reporting tool. offers free and premium subscription plans.

To create an account, please visit


Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4
Screenshot #5
Screenshot #6
Screenshot #7
Screenshot #8


Picture of Anatoliy Kochnev
Anatoliy Kochnev (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Anthony Borrow
    Wed, Mar 19, 2014, 1:03 PM
    Anatoliy - Many thanks for sharing your plugin with the Moodle community and for your patience with the review process.

    I have moved this plugin from the other category to the general plugins (local) where it can now be installed.

    I noticed a couple validation issues and would ask you to patch those up. Namely,

    Validation errors. You MUST correct them before uploading this zip archive:
    In your version.php you have specified $plugin->requires = 2011033010, which is earlier than the official release of Moodle 2.2 (2011120500)
    Validation warnings: found. It is not recommended to have extensions other than .txt or .htm because file type may not be recognized by OS. You may choose the 'Rename README.* to README.txt' option to rename this file to README.txt (click 'Back' if form is uneditable)

    In looking at the code, I noticed a couple of references to $CFG->version < 2 - you may want to maintain a separate version and add a 1.9 version and then have the 2.x versions. Let me know if you have any questions about that.

    I would also ask you to review and provide the source, tracker and documentation URLs.

    For now, I am going to mark this as needing some more work. When you have addressed these issues, please add a comment to let us know what you have done and you can also reschedule the plugin for review.

    In looking at the copyrights, it would help if I better understood the relationship between you, and Sebale LLC?

    Peace - Anthony
  • Picture of Anatoliy Kochnev
    Wed, Mar 19, 2014, 11:50 PM
    Hello Anthony,
    thank you for your comment. We have updated plugin with:
    - version.php
    - readme.txt
    - took $CFG->version <2 off. We are not going to support 1.9 version at this time.
    - code source added
    - issue tracker added
    - documentation url is pointed to our Knowledge Base that we are building on our website

    Relationship to me: I am one of the founders and owners of SEBALE LLC. SEBALE LLC owns product.

    Hope this makes a difference.
    Thank you,
  • Anthony Borrow
    Fri, Mar 21, 2014, 12:38 PM
    Anatoliy - Many thanks for the updates. I went ahead and added a new version of the plugin here to incorporate the changes you made in the Github repository to address the validation issues. I think everything looks good now so I am going to approve this. Peace - Anthony
  • Picture of Lada Smirnova
    Fri, Mar 21, 2014, 4:28 PM
    Thanks Anatoliy, that's what I've been looking for!
Please login to post comments